<?php

namespace Drupal\mongodb_indexer\Event;

use Symfony\Component\EventDispatcher\Event;

/**
 * Class IndexerEvent
 * @package Drupal\mongodb_indexer\Event'
 */
class IndexerEvent extends Event {

  protected $document;
  protected $entity;

  /**
   * IndexerEvent constructor.
   */
  public function __construct() {
  }


  /**
   * Return the entity associated with the event
   *
   * @return mixed
   */
  public function getEntity() {
    return $this->entity;
  }


  /**
   * Return the document associated with the event
   *
   * @return mixed
   */
  public function getDocument() {
    return $this->document;
  }


  /**
   * Set document for the event
   *
   * @param $document
   */
  public function setDocument($document) {
    $this->document = $document;
  }


  /**
   * Set entity for the event
   *
   * @param $entity
   */
  public function setEntity($entity) {
    $this->entity = $entity;
  }

}