<?php
namespace Drupal\mongodb_indexer;


/**
 * Interface IndexerEngineInterface
 */
interface IndexerEngineInterface {
  const MONGODB_INDEXER_INDEX_TYPE_UPSERT = "upsert";
  const MONGODB_INDEXER_INDEX_TYPE_DELETE = "delete";
  const MONGODB_INDEXER_DEFAULT_BATCH_SIZE =  500;

  public function getMongoClient();
  public function connect();
  public function getQueueLength();
  public function getEntityWithoutBundleSupport();
  public function upsertDocument($collection_name, $document_id, array $document);
  public function deleteDocument($collection_name, $document_id);
  public function markItemChange($entity, $type, $queue_type);


  public function markItemsReindex(array $items);
  public function indexQueuedItems();
  public function indexQueuedReindexItems();
}
